Account

Get last unused on-chain address

GET/account/address/bitcoinPrivate

Get the most recently generated, still unused on-chain address

Permissions: account:deposits:read

Response Body

OK

application/json
  1. response
address*string

Bitcoin address

import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({  key: 'your-key',  secret: 'your-secret',  passphrase: 'your-passphrase',})const result = await client.account.getBitcoinAddress()
{  "address": "bc1q..."}